package com.zswc.creativity.activity

import android.os.Bundle
import com.zswc.creativity.base.MBActivity
import com.zswc.creativity.databinding.ActivityPaySuessBinding
import com.zswc.creativity.databinding.ActivityWithdrawBinding
import com.zswc.creativity.databinding.ActivityWithdrawSuessBinding
import com.zswc.creativity.vmodel.PaySuessVModel
import com.zswc.creativity.vmodel.WithdrawSuessVModel

/**
 * 提现成功界面
 *Created by shihuiyun
 *on 2020/9/24
 */
class WithdrawSuessActivity : MBActivity<WithdrawSuessVModel, ActivityWithdrawSuessBinding>() {

    override fun init(savedInstanceState: Bundle?) {
        super.init(savedInstanceState)

        vm.price.value=intent.extras?.getString("price","0")
        vm.orderid.value=intent.extras?.getString("orderid","0")
        vm.type.value=intent.extras?.getString("type","0")


    }

    override fun binding(): ActivityWithdrawSuessBinding {
       return ActivityWithdrawSuessBinding.inflate(layoutInflater)
    }

    override fun vmClass(): Class<WithdrawSuessVModel> {
        return WithdrawSuessVModel::class.java
    }

    override fun title(): String? {
        return "支付结果"
    }


}
